#include "avr/io.h"
#include "avr/pgmspace.h"
#include "stdint.h"
typedef uint8_t  byte;
typedef uint16_t word;

void num2text(unsigned char a);
extern void PlayStr_f(byte *aPstr);

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

static const byte PROGMEM str_Z[] ="\x0";

static const byte PROGMEM str_0[] ="nol*\x0";
static const byte PROGMEM str_1[] ="odin\x0";
static const byte PROGMEM str_2[] ="dva\x0";
static const byte PROGMEM str_3[] ="tri\x0";
static const byte PROGMEM str_4[] ="chetire\x0";
static const byte PROGMEM str_5[] ="pjat*\x0";
static const byte PROGMEM str_6[] ="shest*\x0";
static const byte PROGMEM str_7[] ="sem*\x0";
static const byte PROGMEM str_8[] ="vosem*\x0";
static const byte PROGMEM str_9[] ="devjat*\x0";
//
static const byte PROGMEM str_10[] ="desat*";
static const byte PROGMEM str_11[] ="odinadcat*";
static const byte PROGMEM str_12[] ="dvenadcat*";
static const byte PROGMEM str_13[] ="trinadcat*";
static const byte PROGMEM str_14[] ="chetirnadcat*";
static const byte PROGMEM str_15[] ="pjatnadcat*";
static const byte PROGMEM str_16[] ="shesnadcat*";
static const byte PROGMEM str_17[] ="semnadcat*";
static const byte PROGMEM str_18[] ="vosemnadcat*";
static const byte PROGMEM str_19[] ="devjatnadcat*";
//
static const byte PROGMEM str_20[] ="dvadcat*";
static const byte PROGMEM str_30[] ="tridcat*";
static const byte PROGMEM str_40[] ="sorok";
static const byte PROGMEM str_50[] ="pat'desjat";
static const byte PROGMEM str_60[] ="sest*desjat";
static const byte PROGMEM str_70[] ="semdesjat";
static const byte PROGMEM str_80[] ="vosemdesjat";
static const byte PROGMEM str_90[] ="devjanosto";
//
static const byte PROGMEM str_100[] ="sto";
static const byte PROGMEM str_200[] ="dvesti";
//

static const byte* txt_0_9[]  ={str_0 ,str_1 ,str_2 ,str_3 ,str_4 ,str_5 ,str_6 ,str_7 ,str_8 ,str_9 };
static const byte* txt_10_19[]={str_10,str_11,str_12,str_13,str_14,str_15,str_16,str_17,str_18,str_19};
static const byte* txt_20_90[]={str_Z ,str_Z,str_20,str_30,str_40,str_50,str_60,str_70,str_80,str_90};
static const byte* txt_100_200[]={str_Z,str_100,str_200};

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


//#include "uart_dev.h"
//#define play(a) pfputs_f(uart1_send,a)
#define play(a) PlayStr_f(a)


void num2text(unsigned char a)
{
/*
 play(PSTR("-jopa-"));
 play( txt_0_9[2] );
 play( txt_0_9[3] );

// play(txt_0_9[3]); return;
*/

 if(a<=9)       play(txt_0_9[a] );
 else if(a<=19) play(txt_10_19[a-10]);
 else
 {
 unsigned char x;
   x=a/100; if(x){ a-=(x*100); play(txt_100_200[x]); }
   x=a/10;  if(x){ a-=(x*10 ); play(txt_20_90[  x]); }
   if(a)                       play(txt_0_9[    a]);
 }
 play(PSTR(" "));
}

